### Virtual Method

# Gcr SecretExchange encrypt_transport_data

#### Declaration [src]

    gboolean
    encrypt_transport_data (
      GcrSecretExchange* exchange,
      GckAllocator allocator,
      const guchar* plain_text,
      gsize n_plain_text,
      guchar** parameter,
      gsize* n_parameter,
      guchar** cipher_text,
      gsize* n_cipher_text
    )

#### Description

No description available.

#### Parameters

`allocator`

  Type: `GckAllocator`

  No description available.

`plain_text`

  Type: `const guchar*`

  No description available.

  The data is owned by the caller of the method.

`n_plain_text`

  Type: `gsize`

  No description available.

`parameter`

  Type: `guchar**`

  No description available.

  The data is owned by the caller of the method.

`n_parameter`

  Type: `gsize*`

  No description available.

  The data is owned by the caller of the method.

`cipher_text`

  Type: `guchar**`

  No description available.

  The data is owned by the caller of the method.

`n_cipher_text`

  Type: `gsize*`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.